Package com.google.earth.kml._2

# Class FolderType

java.lang.Object
com.google.earth.kml._2.ObjectType
com.google.earth.kml._2.FeatureType
com.google.earth.kml._2.ContainerType
com.google.earth.kml._2.FolderType

public class FolderType extends ContainerType
<p>Java class for FolderType complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="FolderType"> <complexContent> <extension base="{http://earth.google.com/kml/2.1}ContainerType"> <sequence> <element ref="{http://earth.google.com/kml/2.1}Feature" maxOccurs="unbounded" minOccurs="0"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<jakarta.xml.bind.JAXBElement<? extends FeatureType>>`
  `feature`

  ### Fields inherited from class com.google.earth.kml._2.FeatureType

  `address, description, lookAt, metadata, name, open, phoneNumber, region, snippet, styleSelector, styleUrl, timePrimitive, visibility`

  ### Fields inherited from class com.google.earth.kml._2.ObjectType

  `id, targetId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FolderType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<jakarta.xml.bind.JAXBElement<? extends FeatureType>>`
  `getFeature()`
  Gets the value of the feature property.

  ### Methods inherited from class com.google.earth.kml._2.FeatureType

  `getAddress, getDescription, getLookAt, getMetadata, getName, getPhoneNumber, getRegion, getSnippet, getStyleSelector, getStyleUrl, getTimePrimitive, isOpen, isVisibility, setAddress, setDescription, setLookAt, setMetadata, setName, setOpen, setPhoneNumber, setRegion, setSnippet, setStyleUrl, setTimePrimitive, setVisibility`

  ### Methods inherited from class com.google.earth.kml._2.ObjectType

  `getId, getTargetId, setId, setTargetId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### feature

    protected List<jakarta.xml.bind.JAXBElement<? extends FeatureType>> feature

- ## Constructor Details

  - ### FolderType

    public FolderType()

- ## Method Details

  - ### getFeature

    public List<jakarta.xml.bind.JAXBElement<? extends FeatureType>> getFeature()
    Gets the value of the feature property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the feature property.

    For example, to add a new item, do as follows:

         getFeature().add(newItem);

    Objects of the following type(s) are allowed in the list `JAXBElement``<``DocumentType``>` `JAXBElement``<``FeatureType``>` `JAXBElement``<``FolderType``>` `JAXBElement``<``GroundOverlayType``>` `JAXBElement``<``NetworkLinkType``>` `JAXBElement``<``PlacemarkType``>` `JAXBElement``<``ScreenOverlayType``>`

    Returns:
      The value of the feature property.